Page MenuHomePhabricator

Invalid value None for integer property "action.abort.timing" (schema:Edit)
Closed, ResolvedPublic1 Story Points

Description

Currently trending at https://logstash.wikimedia.org/#/dashboard/elasticsearch/eventlogging-errors with over 1100 hits in the past 24 hours (which are silently dropped from further processing).

event revision 13457736
event schema Edit
message level ERROR
message

None is not of type u'integer'

See also https://meta.wikimedia.org/wiki/Schema:Edit

Sample:

{"event":{"version":1,"action":"abort","editor":"visualeditor","platform":"desktop","integration":"page",..,"user.id":0,"user.editCount":0,"mediawiki.version":"1.27.0-wmf.3","user.class":"IP","action.abort.type":"nochange","action.abort.mechanism":"navigate-back","action.abort.timing":null},"revision":13457736,"schema":"Edit","webHost":"vi.wikipedia.org","wiki":"viwiki"}

Presumably the error is about property action.abort.timing being null.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : mastermw.trackSubscriber: Handle timeStamp being undef/NaN/infinite
mediawiki/extensions/VisualEditor : mastermw.trackSubscriber: If the number is NaN/falsy, return -1;

Event Timeline

Krinkle created this task.Oct 27 2015, 5:30 AM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Jdforrester-WMF, Krinkle, Aklapper.

Yes, this is action.abort.timing being set to NaN by JS which then gets changed to null when converting to JSON, and then None when being read by Python.

I guess this happens when you try to abort with no change before VE is ready.

Which should really be type preinit instead of nochange

Krenair set Security to None.
Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 27 2015, 12:36 PM

Change 249143 had a related patch set uploaded (by Jforrester):
mw.trackSubscriber: Handle timeStamp being undef/NaN/infinite

https://gerrit.wikimedia.org/r/249143

Change 249149 had a related patch set uploaded (by Krinkle):
mw.trackSubscriber: If the number is NaN/falsy, return -1;

https://gerrit.wikimedia.org/r/249149

Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF edited a custom field.
Krinkle removed a subscriber: Krinkle.Nov 3 2015, 10:44 PM
demon added a subscriber: demon.Jul 20 2016, 1:40 AM

What's the status here? Above patches not merged.

Jdforrester-WMF closed this task as Resolved.Aug 9 2016, 7:39 PM

Looks like this was fixed months ago, sorry.

Change 249149 abandoned by Jforrester:
mw.trackSubscriber: If the number is NaN/falsy, return -1;

Reason:
Fixed elsewise.

https://gerrit.wikimedia.org/r/249149

Change 249143 abandoned by Jforrester:
mw.trackSubscriber: Handle timeStamp being undef/NaN/infinite

Reason:
Fixed elsewise.

https://gerrit.wikimedia.org/r/249143

Neil_P._Quinn_WMF raised the priority of this task from High to Needs Triage.Mar 30 2018, 10:31 AM
Neil_P._Quinn_WMF moved this task from Backlog to Radar on the Contributors-Analysis board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 30 2018, 10:31 AM
Restricted Application added a project: Product-Analytics. · View Herald TranscriptMar 19 2019, 3:46 PM